VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::GuestOS Class Reference

The `GuestOS` enumerated type defines the valid guest operating system types used for configuring a virtual machine. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, DOS, WIN_31, WIN_95, WIN_98, WIN_ME, WIN_NT, WIN_2000_PRO, WIN_2000_SERV, WIN_2000_ADV_SERV, WIN_XP_HOME, WIN_XP_PRO, WIN_XP_PRO_64, WIN_NET_WEB, WIN_NET_STANDARD, WIN_NET_ENTERPRISE, WIN_NET_DATACENTER, WIN_NET_BUSINESS, WIN_NET_STANDARD_64, WIN_NET_ENTERPRISE_64, WIN_LONGHORN, WIN_LONGHORN_64, WIN_NET_DATACENTER_64, WIN_VISTA, WIN_VISTA_64, WINDOWS_7, WINDOWS_7_64, WINDOWS_7_SERVER_64, WINDOWS_8, WINDOWS_8_64, WINDOWS_8_SERVER_64, WINDOWS_9, WINDOWS_9_64, WINDOWS_9_SERVER_64, WINDOWS_HYPERV, FREEBSD, FREEBSD_64, REDHAT, RHEL_2, RHEL_3, RHEL_3_64, RHEL_4, RHEL_4_64, RHEL_5, RHEL_5_64, RHEL_6, RHEL_6_64, RHEL_7, RHEL_7_64, CENTOS, CENTOS_64, CENTOS_6, CENTOS_6_64, CENTOS_7, CENTOS_7_64, ORACLE_LINUX, ORACLE_LINUX_64, ORACLE_LINUX_6, ORACLE_LINUX_6_64, ORACLE_LINUX_7, ORACLE_LINUX_7_64, SUSE, SUSE_64, SLES, SLES_64, SLES_10, SLES_10_64, SLES_11, SLES_11_64, SLES_12, SLES_12_64, NLD_9, OES, SJDS, MANDRAKE, MANDRIVA, MANDRIVA_64, TURBO_LINUX, TURBO_LINUX_64, UBUNTU, UBUNTU_64, DEBIAN_4, DEBIAN_4_64, DEBIAN_5, DEBIAN_5_64, DEBIAN_6, DEBIAN_6_64, DEBIAN_7, DEBIAN_7_64, DEBIAN_8, DEBIAN_8_64, DEBIAN_9, DEBIAN_9_64, DEBIAN_10, DEBIAN_10_64, ASIANUX_3, ASIANUX_3_64, ASIANUX_4, ASIANUX_4_64, ASIANUX_5_64, ASIANUX_7_64, OPENSUSE, OPENSUSE_64, FEDORA, FEDORA_64, COREOS_64, VMWARE_PHOTON_64, OTHER_24X_LINUX, OTHER_24X_LINUX_64, OTHER_26X_LINUX, OTHER_26X_LINUX_64, OTHER_3X_LINUX, OTHER_3X_LINUX_64, OTHER_LINUX, GENERIC_LINUX, OTHER_LINUX_64, SOLARIS_6, SOLARIS_7, SOLARIS_8, SOLARIS_9, SOLARIS_10, SOLARIS_10_64, SOLARIS_11_64, OS2, ECOMSTATION, ECOMSTATION_2, NETWARE_4, NETWARE_5, NETWARE_6, OPENSERVER_5, OPENSERVER_6, UNIXWARE_7, DARWIN, DARWIN_64, DARWIN_10, DARWIN_10_64, DARWIN_11, DARWIN_11_64, DARWIN_12_64, DARWIN_13_64, DARWIN_14_64, DARWIN_15_64, DARWIN_16_64, VMKERNEL, VMKERNEL_5, VMKERNEL_6, VMKERNEL_65, OTHER, OTHER_64 }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static GuestOS[] | GetValues ()
static GuestOS | ValueOf (string name)
## Static Public Attributes
static readonly GuestOS | DOS = new GuestOS("DOS", Values.DOS)
| MS-DOS.
static readonly GuestOS | WIN_31 = new GuestOS("WIN_31", Values.WIN_31)
| Windows 3.1.
static readonly GuestOS | WIN_95 = new GuestOS("WIN_95", Values.WIN_95)
| Windows 95.
static readonly GuestOS | WIN_98 = new GuestOS("WIN_98", Values.WIN_98)
| Windows 98.
static readonly GuestOS | WIN_ME = new GuestOS("WIN_ME", Values.WIN_ME)
| Windows Millennium Edition.
static readonly GuestOS | WIN_NT = new GuestOS("WIN_NT", Values.WIN_NT)
| Windows NT 4.
static readonly GuestOS | WIN_2000_PRO = new GuestOS("WIN_2000_PRO", Values.WIN_2000_PRO)
| Windows 2000 Professional.
static readonly GuestOS | WIN_2000_SERV = new GuestOS("WIN_2000_SERV", Values.WIN_2000_SERV)
| Windows 2000 Server.
static readonly GuestOS | WIN_2000_ADV_SERV = new GuestOS("WIN_2000_ADV_SERV", Values.WIN_2000_ADV_SERV)
| Windows 2000 Advanced Server.
static readonly GuestOS | WIN_XP_HOME = new GuestOS("WIN_XP_HOME", Values.WIN_XP_HOME)
| Windows XP Home Edition.
static readonly GuestOS | WIN_XP_PRO = new GuestOS("WIN_XP_PRO", Values.WIN_XP_PRO)
| Windows XP Professional.
static readonly GuestOS | WIN_XP_PRO_64 = new GuestOS("WIN_XP_PRO_64", Values.WIN_XP_PRO_64)
| Windows XP Professional Edition (64 bit)
static readonly GuestOS | WIN_NET_WEB = new GuestOS("WIN_NET_WEB", Values.WIN_NET_WEB)
| Windows Server 2003, Web Edition.
static readonly GuestOS | WIN_NET_STANDARD = new GuestOS("WIN_NET_STANDARD", Values.WIN_NET_STANDARD)
| Windows Server 2003, Standard Edition.
static readonly GuestOS | WIN_NET_ENTERPRISE = new GuestOS("WIN_NET_ENTERPRISE", Values.WIN_NET_ENTERPRISE)
| Windows Server 2003, Enterprise Edition.
static readonly GuestOS | WIN_NET_DATACENTER = new GuestOS("WIN_NET_DATACENTER", Values.WIN_NET_DATACENTER)
| Windows Server 2003, Datacenter Edition.
static readonly GuestOS | WIN_NET_BUSINESS = new GuestOS("WIN_NET_BUSINESS", Values.WIN_NET_BUSINESS)
| Windows Small Business Server 2003.
static readonly GuestOS | WIN_NET_STANDARD_64 = new GuestOS("WIN_NET_STANDARD_64", Values.WIN_NET_STANDARD_64)
| Windows Server 2003, Standard Edition (64 bit)
static readonly GuestOS | WIN_NET_ENTERPRISE_64 = new GuestOS("WIN_NET_ENTERPRISE_64", Values.WIN_NET_ENTERPRISE_64)
| Windows Server 2003, Enterprise Edition (64 bit)
static readonly GuestOS | WIN_LONGHORN = new GuestOS("WIN_LONGHORN", Values.WIN_LONGHORN)
| Windows Longhorn (experimental)
static readonly GuestOS | WIN_LONGHORN_64 = new GuestOS("WIN_LONGHORN_64", Values.WIN_LONGHORN_64)
| Windows Longhorn (64 bit) (experimental)
static readonly GuestOS | WIN_NET_DATACENTER_64 = new GuestOS("WIN_NET_DATACENTER_64", Values.WIN_NET_DATACENTER_64)
| Windows Server 2003, Datacenter Edition (64 bit) (experimental)
static readonly GuestOS | WIN_VISTA = new GuestOS("WIN_VISTA", Values.WIN_VISTA)
| Windows Vista.
static readonly GuestOS | WIN_VISTA_64 = new GuestOS("WIN_VISTA_64", Values.WIN_VISTA_64)
| Windows Vista (64 bit)
static readonly GuestOS | WINDOWS_7 = new GuestOS("WINDOWS_7", Values.WINDOWS_7)
| Windows 7.
static readonly GuestOS | WINDOWS_7_64 = new GuestOS("WINDOWS_7_64", Values.WINDOWS_7_64)
| Windows 7 (64 bit)
static readonly GuestOS | WINDOWS_7_SERVER_64 = new GuestOS("WINDOWS_7_SERVER_64", Values.WINDOWS_7_SERVER_64)
| Windows Server 2008 R2 (64 bit)
static readonly GuestOS | WINDOWS_8 = new GuestOS("WINDOWS_8", Values.WINDOWS_8)
| Windows 8.
static readonly GuestOS | WINDOWS_8_64 = new GuestOS("WINDOWS_8_64", Values.WINDOWS_8_64)
| Windows 8 (64 bit)
static readonly GuestOS | WINDOWS_8_SERVER_64 = new GuestOS("WINDOWS_8_SERVER_64", Values.WINDOWS_8_SERVER_64)
| Windows 8 Server (64 bit)
static readonly GuestOS | WINDOWS_9 = new GuestOS("WINDOWS_9", Values.WINDOWS_9)
| Windows 10.
static readonly GuestOS | WINDOWS_9_64 = new GuestOS("WINDOWS_9_64", Values.WINDOWS_9_64)
| Windows 10 (64 bit)
static readonly GuestOS | WINDOWS_9_SERVER_64 = new GuestOS("WINDOWS_9_SERVER_64", Values.WINDOWS_9_SERVER_64)
| Windows 10 Server (64 bit)
static readonly GuestOS | WINDOWS_HYPERV = new GuestOS("WINDOWS_HYPERV", Values.WINDOWS_HYPERV)
| Windows Hyper-V.
static readonly GuestOS | FREEBSD = new GuestOS("FREEBSD", Values.FREEBSD)
| FreeBSD.
static readonly GuestOS | FREEBSD_64 = new GuestOS("FREEBSD_64", Values.FREEBSD_64)
| FreeBSD x64.
static readonly GuestOS | REDHAT = new GuestOS("REDHAT", Values.REDHAT)
| Red Hat Linux 2.1.
static readonly GuestOS | RHEL_2 = new GuestOS("RHEL_2", Values.RHEL_2)
| Red Hat Enterprise Linux 2.
static readonly GuestOS | RHEL_3 = new GuestOS("RHEL_3", Values.RHEL_3)
| Red Hat Enterprise Linux 3.
static readonly GuestOS | RHEL_3_64 = new GuestOS("RHEL_3_64", Values.RHEL_3_64)
| Red Hat Enterprise Linux 3 (64 bit)
static readonly GuestOS | RHEL_4 = new GuestOS("RHEL_4", Values.RHEL_4)
| Red Hat Enterprise Linux 4.
static readonly GuestOS | RHEL_4_64 = new GuestOS("RHEL_4_64", Values.RHEL_4_64)
| Red Hat Enterprise Linux 4 (64 bit)
static readonly GuestOS | RHEL_5 = new GuestOS("RHEL_5", Values.RHEL_5)
| Red Hat Enterprise Linux 5.
static readonly GuestOS | RHEL_5_64 = new GuestOS("RHEL_5_64", Values.RHEL_5_64)
| Red Hat Enterprise Linux 5 (64 bit) (experimental)
static readonly GuestOS | RHEL_6 = new GuestOS("RHEL_6", Values.RHEL_6)
| Red Hat Enterprise Linux 6.
static readonly GuestOS | RHEL_6_64 = new GuestOS("RHEL_6_64", Values.RHEL_6_64)
| Red Hat Enterprise Linux 6 (64 bit)
static readonly GuestOS | RHEL_7 = new GuestOS("RHEL_7", Values.RHEL_7)
| Red Hat Enterprise Linux 7.
static readonly GuestOS | RHEL_7_64 = new GuestOS("RHEL_7_64", Values.RHEL_7_64)
| Red Hat Enterprise Linux 7 (64 bit)
static readonly GuestOS | CENTOS = new GuestOS("CENTOS", Values.CENTOS)
| CentOS 4/5.
static readonly GuestOS | CENTOS_64 = new GuestOS("CENTOS_64", Values.CENTOS_64)
| CentOS 4/5 (64-bit)
static readonly GuestOS | CENTOS_6 = new GuestOS("CENTOS_6", Values.CENTOS_6)
| CentOS 6.
static readonly GuestOS | CENTOS_6_64 = new GuestOS("CENTOS_6_64", Values.CENTOS_6_64)
| CentOS 6 (64-bit)
static readonly GuestOS | CENTOS_7 = new GuestOS("CENTOS_7", Values.CENTOS_7)
| CentOS 7.
static readonly GuestOS | CENTOS_7_64 = new GuestOS("CENTOS_7_64", Values.CENTOS_7_64)
| CentOS 7 (64-bit)
static readonly GuestOS | ORACLE_LINUX = new GuestOS("ORACLE_LINUX", Values.ORACLE_LINUX)
| Oracle Linux 4/5.
static readonly GuestOS | ORACLE_LINUX_64 = new GuestOS("ORACLE_LINUX_64", Values.ORACLE_LINUX_64)
| Oracle Linux 4/5 (64-bit)
static readonly GuestOS | ORACLE_LINUX_6 = new GuestOS("ORACLE_LINUX_6", Values.ORACLE_LINUX_6)
| Oracle Linux 6.
static readonly GuestOS | ORACLE_LINUX_6_64 = new GuestOS("ORACLE_LINUX_6_64", Values.ORACLE_LINUX_6_64)
| Oracle Linux 6 (64-bit)
static readonly GuestOS | ORACLE_LINUX_7 = new GuestOS("ORACLE_LINUX_7", Values.ORACLE_LINUX_7)
| Oracle Linux 7.
static readonly GuestOS | ORACLE_LINUX_7_64 = new GuestOS("ORACLE_LINUX_7_64", Values.ORACLE_LINUX_7_64)
| Oracle Linux 7 (64-bit)
static readonly GuestOS | SUSE = new GuestOS("SUSE", Values.SUSE)
| Suse Linux.
static readonly GuestOS | SUSE_64 = new GuestOS("SUSE_64", Values.SUSE_64)
| Suse Linux (64 bit)
static readonly GuestOS | SLES = new GuestOS("SLES", Values.SLES)
| Suse Linux Enterprise Server 9.
static readonly GuestOS | SLES_64 = new GuestOS("SLES_64", Values.SLES_64)
| Suse Linux Enterprise Server 9 (64 bit)
static readonly GuestOS | SLES_10 = new GuestOS("SLES_10", Values.SLES_10)
| Suse linux Enterprise Server 10.
static readonly GuestOS | SLES_10_64 = new GuestOS("SLES_10_64", Values.SLES_10_64)
| Suse Linux Enterprise Server 10 (64 bit) (experimental)
static readonly GuestOS | SLES_11 = new GuestOS("SLES_11", Values.SLES_11)
| Suse linux Enterprise Server 11.
static readonly GuestOS | SLES_11_64 = new GuestOS("SLES_11_64", Values.SLES_11_64)
| Suse Linux Enterprise Server 11 (64 bit)
static readonly GuestOS | SLES_12 = new GuestOS("SLES_12", Values.SLES_12)
| Suse linux Enterprise Server 12.
static readonly GuestOS | SLES_12_64 = new GuestOS("SLES_12_64", Values.SLES_12_64)
| Suse Linux Enterprise Server 12 (64 bit)
static readonly GuestOS | NLD_9 = new GuestOS("NLD_9", Values.NLD_9)
| Novell Linux Desktop 9.
static readonly GuestOS | OES = new GuestOS("OES", Values.OES)
| Open Enterprise Server.
static readonly GuestOS | SJDS = new GuestOS("SJDS", Values.SJDS)
| Sun Java Desktop System.
static readonly GuestOS | MANDRAKE = new GuestOS("MANDRAKE", Values.MANDRAKE)
| Mandrake Linux.
static readonly GuestOS | MANDRIVA = new GuestOS("MANDRIVA", Values.MANDRIVA)
| Mandriva Linux.
static readonly GuestOS | MANDRIVA_64 = new GuestOS("MANDRIVA_64", Values.MANDRIVA_64)
| Mandriva Linux (64 bit)
static readonly GuestOS | TURBO_LINUX = new GuestOS("TURBO_LINUX", Values.TURBO_LINUX)
| Turbolinux.
static readonly GuestOS | TURBO_LINUX_64 = new GuestOS("TURBO_LINUX_64", Values.TURBO_LINUX_64)
| Turbolinux (64 bit)
static readonly GuestOS | UBUNTU = new GuestOS("UBUNTU", Values.UBUNTU)
| Ubuntu Linux.
static readonly GuestOS | UBUNTU_64 = new GuestOS("UBUNTU_64", Values.UBUNTU_64)
| Ubuntu Linux (64 bit)
static readonly GuestOS | DEBIAN_4 = new GuestOS("DEBIAN_4", Values.DEBIAN_4)
| Debian GNU/Linux 4.
static readonly GuestOS | DEBIAN_4_64 = new GuestOS("DEBIAN_4_64", Values.DEBIAN_4_64)
| Debian GNU/Linux 4 (64 bit)
static readonly GuestOS | DEBIAN_5 = new GuestOS("DEBIAN_5", Values.DEBIAN_5)
| Debian GNU/Linux 5.
static readonly GuestOS | DEBIAN_5_64 = new GuestOS("DEBIAN_5_64", Values.DEBIAN_5_64)
| Debian GNU/Linux 5 (64 bit)
static readonly GuestOS | DEBIAN_6 = new GuestOS("DEBIAN_6", Values.DEBIAN_6)
| Debian GNU/Linux 6.
static readonly GuestOS | DEBIAN_6_64 = new GuestOS("DEBIAN_6_64", Values.DEBIAN_6_64)
| Debian GNU/Linux 6 (64 bit)
static readonly GuestOS | DEBIAN_7 = new GuestOS("DEBIAN_7", Values.DEBIAN_7)
| Debian GNU/Linux 7.
static readonly GuestOS | DEBIAN_7_64 = new GuestOS("DEBIAN_7_64", Values.DEBIAN_7_64)
| Debian GNU/Linux 7 (64 bit)
static readonly GuestOS | DEBIAN_8 = new GuestOS("DEBIAN_8", Values.DEBIAN_8)
| Debian GNU/Linux 8.
static readonly GuestOS | DEBIAN_8_64 = new GuestOS("DEBIAN_8_64", Values.DEBIAN_8_64)
| Debian GNU/Linux 8 (64 bit)
static readonly GuestOS | DEBIAN_9 = new GuestOS("DEBIAN_9", Values.DEBIAN_9)
| Debian GNU/Linux 9.
static readonly GuestOS | DEBIAN_9_64 = new GuestOS("DEBIAN_9_64", Values.DEBIAN_9_64)
| Debian GNU/Linux 9 (64 bit)
static readonly GuestOS | DEBIAN_10 = new GuestOS("DEBIAN_10", Values.DEBIAN_10)
| Debian GNU/Linux 10.
static readonly GuestOS | DEBIAN_10_64 = new GuestOS("DEBIAN_10_64", Values.DEBIAN_10_64)
| Debian GNU/Linux 10 (64 bit)
static readonly GuestOS | ASIANUX_3 = new GuestOS("ASIANUX_3", Values.ASIANUX_3)
| Asianux Server 3.
static readonly GuestOS | ASIANUX_3_64 = new GuestOS("ASIANUX_3_64", Values.ASIANUX_3_64)
| Asianux Server 3 (64 bit)
static readonly GuestOS | ASIANUX_4 = new GuestOS("ASIANUX_4", Values.ASIANUX_4)
| Asianux Server 4.
static readonly GuestOS | ASIANUX_4_64 = new GuestOS("ASIANUX_4_64", Values.ASIANUX_4_64)
| Asianux Server 4 (64 bit)
static readonly GuestOS | ASIANUX_5_64 = new GuestOS("ASIANUX_5_64", Values.ASIANUX_5_64)
| Asianux Server 5 (64 bit)
static readonly GuestOS | ASIANUX_7_64 = new GuestOS("ASIANUX_7_64", Values.ASIANUX_7_64)
| Asianux Server 7 (64 bit)
static readonly GuestOS | OPENSUSE = new GuestOS("OPENSUSE", Values.OPENSUSE)
| OpenSUSE Linux.
static readonly GuestOS | OPENSUSE_64 = new GuestOS("OPENSUSE_64", Values.OPENSUSE_64)
| OpenSUSE Linux (64 bit)
static readonly GuestOS | FEDORA = new GuestOS("FEDORA", Values.FEDORA)
| Fedora Linux.
static readonly GuestOS | FEDORA_64 = new GuestOS("FEDORA_64", Values.FEDORA_64)
| Fedora Linux (64 bit)
static readonly GuestOS | COREOS_64 = new GuestOS("COREOS_64", Values.COREOS_64)
| CoreOS Linux (64 bit)
static readonly GuestOS | VMWARE_PHOTON_64 = new GuestOS("VMWARE_PHOTON_64", Values.VMWARE_PHOTON_64)
| VMware Photon (64 bit)
static readonly GuestOS | OTHER_24X_LINUX = new GuestOS("OTHER_24X_LINUX", Values.OTHER_24X_LINUX)
| Linux 2.4x Kernel.
static readonly GuestOS | OTHER_24X_LINUX_64 = new GuestOS("OTHER_24X_LINUX_64", Values.OTHER_24X_LINUX_64)
| Linux 2.4x Kernel (64 bit) (experimental)
static readonly GuestOS | OTHER_26X_LINUX = new GuestOS("OTHER_26X_LINUX", Values.OTHER_26X_LINUX)
| Linux 2.6x Kernel.
static readonly GuestOS | OTHER_26X_LINUX_64 = new GuestOS("OTHER_26X_LINUX_64", Values.OTHER_26X_LINUX_64)
| Linux 2.6x Kernel (64 bit) (experimental)
static readonly GuestOS | OTHER_3X_LINUX = new GuestOS("OTHER_3X_LINUX", Values.OTHER_3X_LINUX)
| Linux 3.x Kernel.
static readonly GuestOS | OTHER_3X_LINUX_64 = new GuestOS("OTHER_3X_LINUX_64", Values.OTHER_3X_LINUX_64)
| Linux 3.x Kernel (64 bit)
static readonly GuestOS | OTHER_LINUX = new GuestOS("OTHER_LINUX", Values.OTHER_LINUX)
| Linux 2.2x Kernel.
static readonly GuestOS | GENERIC_LINUX = new GuestOS("GENERIC_LINUX", Values.GENERIC_LINUX)
| Other Linux.
static readonly GuestOS | OTHER_LINUX_64 = new GuestOS("OTHER_LINUX_64", Values.OTHER_LINUX_64)
| Linux (64 bit) (experimental)
static readonly GuestOS | SOLARIS_6 = new GuestOS("SOLARIS_6", Values.SOLARIS_6)
| Solaris 6.
static readonly GuestOS | SOLARIS_7 = new GuestOS("SOLARIS_7", Values.SOLARIS_7)
| Solaris 7.
static readonly GuestOS | SOLARIS_8 = new GuestOS("SOLARIS_8", Values.SOLARIS_8)
| Solaris 8.
static readonly GuestOS | SOLARIS_9 = new GuestOS("SOLARIS_9", Values.SOLARIS_9)
| Solaris 9.
static readonly GuestOS | SOLARIS_10 = new GuestOS("SOLARIS_10", Values.SOLARIS_10)
| Solaris 10 (32 bit) (experimental)
static readonly GuestOS | SOLARIS_10_64 = new GuestOS("SOLARIS_10_64", Values.SOLARIS_10_64)
| Solaris 10 (64 bit) (experimental)
static readonly GuestOS | SOLARIS_11_64 = new GuestOS("SOLARIS_11_64", Values.SOLARIS_11_64)
| Solaris 11 (64 bit)
static readonly GuestOS | OS2 = new GuestOS("OS2", Values.OS2)
| OS/2.
static readonly GuestOS | ECOMSTATION = new GuestOS("ECOMSTATION", Values.ECOMSTATION)
| eComStation 1.x
static readonly GuestOS | ECOMSTATION_2 = new GuestOS("ECOMSTATION_2", Values.ECOMSTATION_2)
| eComStation 2.0
static readonly GuestOS | NETWARE_4 = new GuestOS("NETWARE_4", Values.NETWARE_4)
| Novell NetWare 4.
static readonly GuestOS | NETWARE_5 = new GuestOS("NETWARE_5", Values.NETWARE_5)
| Novell NetWare 5.1.
static readonly GuestOS | NETWARE_6 = new GuestOS("NETWARE_6", Values.NETWARE_6)
| Novell NetWare 6.x.
static readonly GuestOS | OPENSERVER_5 = new GuestOS("OPENSERVER_5", Values.OPENSERVER_5)
| SCO OpenServer 5.
static readonly GuestOS | OPENSERVER_6 = new GuestOS("OPENSERVER_6", Values.OPENSERVER_6)
| SCO OpenServer 6.
static readonly GuestOS | UNIXWARE_7 = new GuestOS("UNIXWARE_7", Values.UNIXWARE_7)
| SCO UnixWare 7.
static readonly GuestOS | DARWIN = new GuestOS("DARWIN", Values.DARWIN)
| Mac OS 10.5.
static readonly GuestOS | DARWIN_64 = new GuestOS("DARWIN_64", Values.DARWIN_64)
| Mac OS 10.5 (64 bit)
static readonly GuestOS | DARWIN_10 = new GuestOS("DARWIN_10", Values.DARWIN_10)
| Mac OS 10.6.
static readonly GuestOS | DARWIN_10_64 = new GuestOS("DARWIN_10_64", Values.DARWIN_10_64)
| Mac OS 10.6 (64 bit)
static readonly GuestOS | DARWIN_11 = new GuestOS("DARWIN_11", Values.DARWIN_11)
| Mac OS 10.7.
static readonly GuestOS | DARWIN_11_64 = new GuestOS("DARWIN_11_64", Values.DARWIN_11_64)
| Mac OS 10.7 (64 bit)
static readonly GuestOS | DARWIN_12_64 = new GuestOS("DARWIN_12_64", Values.DARWIN_12_64)
| Mac OS 10.8 (64 bit)
static readonly GuestOS | DARWIN_13_64 = new GuestOS("DARWIN_13_64", Values.DARWIN_13_64)
| Mac OS 10.9 (64 bit)
static readonly GuestOS | DARWIN_14_64 = new GuestOS("DARWIN_14_64", Values.DARWIN_14_64)
| Mac OS 10.10 (64 bit)
static readonly GuestOS | DARWIN_15_64 = new GuestOS("DARWIN_15_64", Values.DARWIN_15_64)
| Mac OS 10.11 (64 bit)
static readonly GuestOS | DARWIN_16_64 = new GuestOS("DARWIN_16_64", Values.DARWIN_16_64)
| Mac OS 10.12 (64 bit)
static readonly GuestOS | VMKERNEL = new GuestOS("VMKERNEL", Values.VMKERNEL)
| VMware ESX 4.
static readonly GuestOS | VMKERNEL_5 = new GuestOS("VMKERNEL_5", Values.VMKERNEL_5)
| VMware ESX 5.
static readonly GuestOS | VMKERNEL_6 = new GuestOS("VMKERNEL_6", Values.VMKERNEL_6)
| VMware ESX 6.
static readonly GuestOS | VMKERNEL_65 = new GuestOS("VMKERNEL_65", Values.VMKERNEL_65)
| VMware ESX 6.5.
static readonly GuestOS | OTHER = new GuestOS("OTHER", Values.OTHER)
| Other Operating System.
static readonly GuestOS | OTHER_64 = new GuestOS("OTHER_64", Values.OTHER_64)
| Other Operating System (64 bit) (experimental)

## Detailed Description

The `GuestOS` enumerated type defines the valid guest operating system types used for configuring a virtual machine.

## Member Enumeration Documentation

enum vmware::vcenter::vm::GuestOS::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  DOS | MS-DOS.
  WIN_31 | Windows 3.1.
  WIN_95 | Windows 95.
  WIN_98 | Windows 98.
  WIN_ME | Windows Millennium Edition.
  WIN_NT | Windows NT 4.
  WIN_2000_PRO | Windows 2000 Professional.
  WIN_2000_SERV | Windows 2000 Server.
  WIN_2000_ADV_SERV | Windows 2000 Advanced Server.
  WIN_XP_HOME | Windows XP Home Edition.
  WIN_XP_PRO | Windows XP Professional.
  WIN_XP_PRO_64 | Windows XP Professional Edition (64 bit)
  WIN_NET_WEB | Windows Server 2003, Web Edition.
  WIN_NET_STANDARD | Windows Server 2003, Standard Edition.
  WIN_NET_ENTERPRISE | Windows Server 2003, Enterprise Edition.
  WIN_NET_DATACENTER | Windows Server 2003, Datacenter Edition.
  WIN_NET_BUSINESS | Windows Small Business Server 2003.
  WIN_NET_STANDARD_64 | Windows Server 2003, Standard Edition (64 bit)
  WIN_NET_ENTERPRISE_64 | Windows Server 2003, Enterprise Edition (64 bit)
  WIN_LONGHORN | Windows Longhorn (experimental)
  WIN_LONGHORN_64 | Windows Longhorn (64 bit) (experimental)
  WIN_NET_DATACENTER_64 | Windows Server 2003, Datacenter Edition (64 bit) (experimental)
  WIN_VISTA | Windows Vista.
  WIN_VISTA_64 | Windows Vista (64 bit)
  WINDOWS_7 | Windows 7.
  WINDOWS_7_64 | Windows 7 (64 bit)
  WINDOWS_7_SERVER_64 | Windows Server 2008 R2 (64 bit)
  WINDOWS_8 | Windows 8.
  WINDOWS_8_64 | Windows 8 (64 bit)
  WINDOWS_8_SERVER_64 | Windows 8 Server (64 bit)
  WINDOWS_9 | Windows 10.
  WINDOWS_9_64 | Windows 10 (64 bit)
  WINDOWS_9_SERVER_64 | Windows 10 Server (64 bit)
  WINDOWS_HYPERV | Windows Hyper-V.
  FREEBSD | FreeBSD.
  FREEBSD_64 | FreeBSD x64.
  REDHAT | Red Hat Linux 2.1.
  RHEL_2 | Red Hat Enterprise Linux 2.
  RHEL_3 | Red Hat Enterprise Linux 3.
  RHEL_3_64 | Red Hat Enterprise Linux 3 (64 bit)
  RHEL_4 | Red Hat Enterprise Linux 4.
  RHEL_4_64 | Red Hat Enterprise Linux 4 (64 bit)
  RHEL_5 | Red Hat Enterprise Linux 5.
  RHEL_5_64 | Red Hat Enterprise Linux 5 (64 bit) (experimental)
  RHEL_6 | Red Hat Enterprise Linux 6.
  RHEL_6_64 | Red Hat Enterprise Linux 6 (64 bit)
  RHEL_7 | Red Hat Enterprise Linux 7.
  RHEL_7_64 | Red Hat Enterprise Linux 7 (64 bit)
  CENTOS | CentOS 4/5.
  CENTOS_64 | CentOS 4/5 (64-bit)
  CENTOS_6 | CentOS 6.
  CENTOS_6_64 | CentOS 6 (64-bit)
  CENTOS_7 | CentOS 7.
  CENTOS_7_64 | CentOS 7 (64-bit)
  ORACLE_LINUX | Oracle Linux 4/5.
  ORACLE_LINUX_64 | Oracle Linux 4/5 (64-bit)
  ORACLE_LINUX_6 | Oracle Linux 6.
  ORACLE_LINUX_6_64 | Oracle Linux 6 (64-bit)
  ORACLE_LINUX_7 | Oracle Linux 7.
  ORACLE_LINUX_7_64 | Oracle Linux 7 (64-bit)
  SUSE | Suse Linux.
  SUSE_64 | Suse Linux (64 bit)
  SLES | Suse Linux Enterprise Server 9.
  SLES_64 | Suse Linux Enterprise Server 9 (64 bit)
  SLES_10 | Suse linux Enterprise Server 10.
  SLES_10_64 | Suse Linux Enterprise Server 10 (64 bit) (experimental)
  SLES_11 | Suse linux Enterprise Server 11.
  SLES_11_64 | Suse Linux Enterprise Server 11 (64 bit)
  SLES_12 | Suse linux Enterprise Server 12.
  SLES_12_64 | Suse Linux Enterprise Server 12 (64 bit)
  NLD_9 | Novell Linux Desktop 9.
  OES | Open Enterprise Server.
  SJDS | Sun Java Desktop System.
  MANDRAKE | Mandrake Linux.
  MANDRIVA | Mandriva Linux.
  MANDRIVA_64 | Mandriva Linux (64 bit)
  TURBO_LINUX | Turbolinux.
  TURBO_LINUX_64 | Turbolinux (64 bit)
  UBUNTU | Ubuntu Linux.
  UBUNTU_64 | Ubuntu Linux (64 bit)
  DEBIAN_4 | Debian GNU/Linux 4.
  DEBIAN_4_64 | Debian GNU/Linux 4 (64 bit)
  DEBIAN_5 | Debian GNU/Linux 5.
  DEBIAN_5_64 | Debian GNU/Linux 5 (64 bit)
  DEBIAN_6 | Debian GNU/Linux 6.
  DEBIAN_6_64 | Debian GNU/Linux 6 (64 bit)
  DEBIAN_7 | Debian GNU/Linux 7.
  DEBIAN_7_64 | Debian GNU/Linux 7 (64 bit)
  DEBIAN_8 | Debian GNU/Linux 8.
  DEBIAN_8_64 | Debian GNU/Linux 8 (64 bit)
  DEBIAN_9 | Debian GNU/Linux 9.
  DEBIAN_9_64 | Debian GNU/Linux 9 (64 bit)
  DEBIAN_10 | Debian GNU/Linux 10.
  DEBIAN_10_64 | Debian GNU/Linux 10 (64 bit)
  ASIANUX_3 | Asianux Server 3.
  ASIANUX_3_64 | Asianux Server 3 (64 bit)
  ASIANUX_4 | Asianux Server 4.
  ASIANUX_4_64 | Asianux Server 4 (64 bit)
  ASIANUX_5_64 | Asianux Server 5 (64 bit)
  ASIANUX_7_64 | Asianux Server 7 (64 bit)
  OPENSUSE | OpenSUSE Linux.
  OPENSUSE_64 | OpenSUSE Linux (64 bit)
  FEDORA | Fedora Linux.
  FEDORA_64 | Fedora Linux (64 bit)
  COREOS_64 | CoreOS Linux (64 bit)
  VMWARE_PHOTON_64 | VMware Photon (64 bit)
  OTHER_24X_LINUX | Linux 2.4x Kernel.
  OTHER_24X_LINUX_64 | Linux 2.4x Kernel (64 bit) (experimental)
  OTHER_26X_LINUX | Linux 2.6x Kernel.
  OTHER_26X_LINUX_64 | Linux 2.6x Kernel (64 bit) (experimental)
  OTHER_3X_LINUX | Linux 3.x Kernel.
  OTHER_3X_LINUX_64 | Linux 3.x Kernel (64 bit)
  OTHER_LINUX | Linux 2.2x Kernel.
  GENERIC_LINUX | Other Linux.
  OTHER_LINUX_64 | Linux (64 bit) (experimental)
  SOLARIS_6 | Solaris 6.
  SOLARIS_7 | Solaris 7.
  SOLARIS_8 | Solaris 8.
  SOLARIS_9 | Solaris 9.
  SOLARIS_10 | Solaris 10 (32 bit) (experimental)
  SOLARIS_10_64 | Solaris 10 (64 bit) (experimental)
  SOLARIS_11_64 | Solaris 11 (64 bit)
  OS2 | OS/2.
  ECOMSTATION | eComStation 1.x
  ECOMSTATION_2 | eComStation 2.0
  NETWARE_4 | Novell NetWare 4.
  NETWARE_5 | Novell NetWare 5.1.
  NETWARE_6 | Novell NetWare 6.x.
  OPENSERVER_5 | SCO OpenServer 5.
  OPENSERVER_6 | SCO OpenServer 6.
  UNIXWARE_7 | SCO UnixWare 7.
  DARWIN | Mac OS 10.5.
  DARWIN_64 | Mac OS 10.5 (64 bit)
  DARWIN_10 | Mac OS 10.6.
  DARWIN_10_64 | Mac OS 10.6 (64 bit)
  DARWIN_11 | Mac OS 10.7.
  DARWIN_11_64 | Mac OS 10.7 (64 bit)
  DARWIN_12_64 | Mac OS 10.8 (64 bit)
  DARWIN_13_64 | Mac OS 10.9 (64 bit)
  DARWIN_14_64 | Mac OS 10.10 (64 bit)
  DARWIN_15_64 | Mac OS 10.11 (64 bit)
  DARWIN_16_64 | Mac OS 10.12 (64 bit)
  VMKERNEL | VMware ESX 4.
  VMKERNEL_5 | VMware ESX 5.
  VMKERNEL_6 | VMware ESX 6.
  VMKERNEL_65 | VMware ESX 6.5.
  OTHER | Other Operating System.
  OTHER_64 | Other Operating System (64 bit) (experimental)

## Member Function Documentation

Values vmware::vcenter::vm::GuestOS::GetEnumValue | ( |  | ) | `[inline]`

static GuestOS [] vmware::vcenter::vm::GuestOS::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::GuestOS::IsUnknown | ( |  | ) | `[inline]`

static GuestOS vmware::vcenter::vm::GuestOS::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly GuestOS vmware::vcenter::vm::GuestOS::ASIANUX_3 = new GuestOS("ASIANUX_3", Values.ASIANUX_3)`[static]`

Asianux Server 3.

readonly GuestOS vmware::vcenter::vm::GuestOS::ASIANUX_3_64 = new GuestOS("ASIANUX_3_64", Values.ASIANUX_3_64)`[static]`

Asianux Server 3 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::ASIANUX_4 = new GuestOS("ASIANUX_4", Values.ASIANUX_4)`[static]`

Asianux Server 4.

readonly GuestOS vmware::vcenter::vm::GuestOS::ASIANUX_4_64 = new GuestOS("ASIANUX_4_64", Values.ASIANUX_4_64)`[static]`

Asianux Server 4 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::ASIANUX_5_64 = new GuestOS("ASIANUX_5_64", Values.ASIANUX_5_64)`[static]`

Asianux Server 5 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::ASIANUX_7_64 = new GuestOS("ASIANUX_7_64", Values.ASIANUX_7_64)`[static]`

Asianux Server 7 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::CENTOS = new GuestOS("CENTOS", Values.CENTOS)`[static]`

CentOS 4/5.

readonly GuestOS vmware::vcenter::vm::GuestOS::CENTOS_6 = new GuestOS("CENTOS_6", Values.CENTOS_6)`[static]`

CentOS 6.

readonly GuestOS vmware::vcenter::vm::GuestOS::CENTOS_64 = new GuestOS("CENTOS_64", Values.CENTOS_64)`[static]`

CentOS 4/5 (64-bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::CENTOS_6_64 = new GuestOS("CENTOS_6_64", Values.CENTOS_6_64)`[static]`

CentOS 6 (64-bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::CENTOS_7 = new GuestOS("CENTOS_7", Values.CENTOS_7)`[static]`

CentOS 7.

readonly GuestOS vmware::vcenter::vm::GuestOS::CENTOS_7_64 = new GuestOS("CENTOS_7_64", Values.CENTOS_7_64)`[static]`

CentOS 7 (64-bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::COREOS_64 = new GuestOS("COREOS_64", Values.COREOS_64)`[static]`

CoreOS Linux (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::DARWIN = new GuestOS("DARWIN", Values.DARWIN)`[static]`

Mac OS 10.5.

readonly GuestOS vmware::vcenter::vm::GuestOS::DARWIN_10 = new GuestOS("DARWIN_10", Values.DARWIN_10)`[static]`

Mac OS 10.6.

readonly GuestOS vmware::vcenter::vm::GuestOS::DARWIN_10_64 = new GuestOS("DARWIN_10_64", Values.DARWIN_10_64)`[static]`

Mac OS 10.6 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::DARWIN_11 = new GuestOS("DARWIN_11", Values.DARWIN_11)`[static]`

Mac OS 10.7.

readonly GuestOS vmware::vcenter::vm::GuestOS::DARWIN_11_64 = new GuestOS("DARWIN_11_64", Values.DARWIN_11_64)`[static]`

Mac OS 10.7 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::DARWIN_12_64 = new GuestOS("DARWIN_12_64", Values.DARWIN_12_64)`[static]`

Mac OS 10.8 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::DARWIN_13_64 = new GuestOS("DARWIN_13_64", Values.DARWIN_13_64)`[static]`

Mac OS 10.9 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::DARWIN_14_64 = new GuestOS("DARWIN_14_64", Values.DARWIN_14_64)`[static]`

Mac OS 10.10 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::DARWIN_15_64 = new GuestOS("DARWIN_15_64", Values.DARWIN_15_64)`[static]`

Mac OS 10.11 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::DARWIN_16_64 = new GuestOS("DARWIN_16_64", Values.DARWIN_16_64)`[static]`

Mac OS 10.12 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::DARWIN_64 = new GuestOS("DARWIN_64", Values.DARWIN_64)`[static]`

Mac OS 10.5 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::DEBIAN_10 = new GuestOS("DEBIAN_10", Values.DEBIAN_10)`[static]`

Debian GNU/Linux 10.

readonly GuestOS vmware::vcenter::vm::GuestOS::DEBIAN_10_64 = new GuestOS("DEBIAN_10_64", Values.DEBIAN_10_64)`[static]`

Debian GNU/Linux 10 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::DEBIAN_4 = new GuestOS("DEBIAN_4", Values.DEBIAN_4)`[static]`

Debian GNU/Linux 4.

readonly GuestOS vmware::vcenter::vm::GuestOS::DEBIAN_4_64 = new GuestOS("DEBIAN_4_64", Values.DEBIAN_4_64)`[static]`

Debian GNU/Linux 4 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::DEBIAN_5 = new GuestOS("DEBIAN_5", Values.DEBIAN_5)`[static]`

Debian GNU/Linux 5.

readonly GuestOS vmware::vcenter::vm::GuestOS::DEBIAN_5_64 = new GuestOS("DEBIAN_5_64", Values.DEBIAN_5_64)`[static]`

Debian GNU/Linux 5 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::DEBIAN_6 = new GuestOS("DEBIAN_6", Values.DEBIAN_6)`[static]`

Debian GNU/Linux 6.

readonly GuestOS vmware::vcenter::vm::GuestOS::DEBIAN_6_64 = new GuestOS("DEBIAN_6_64", Values.DEBIAN_6_64)`[static]`

Debian GNU/Linux 6 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::DEBIAN_7 = new GuestOS("DEBIAN_7", Values.DEBIAN_7)`[static]`

Debian GNU/Linux 7.

readonly GuestOS vmware::vcenter::vm::GuestOS::DEBIAN_7_64 = new GuestOS("DEBIAN_7_64", Values.DEBIAN_7_64)`[static]`

Debian GNU/Linux 7 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::DEBIAN_8 = new GuestOS("DEBIAN_8", Values.DEBIAN_8)`[static]`

Debian GNU/Linux 8.

readonly GuestOS vmware::vcenter::vm::GuestOS::DEBIAN_8_64 = new GuestOS("DEBIAN_8_64", Values.DEBIAN_8_64)`[static]`

Debian GNU/Linux 8 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::DEBIAN_9 = new GuestOS("DEBIAN_9", Values.DEBIAN_9)`[static]`

Debian GNU/Linux 9.

readonly GuestOS vmware::vcenter::vm::GuestOS::DEBIAN_9_64 = new GuestOS("DEBIAN_9_64", Values.DEBIAN_9_64)`[static]`

Debian GNU/Linux 9 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::DOS = new GuestOS("DOS", Values.DOS)`[static]`

MS-DOS.

readonly GuestOS vmware::vcenter::vm::GuestOS::ECOMSTATION = new GuestOS("ECOMSTATION", Values.ECOMSTATION)`[static]`

eComStation 1.x

readonly GuestOS vmware::vcenter::vm::GuestOS::ECOMSTATION_2 = new GuestOS("ECOMSTATION_2", Values.ECOMSTATION_2)`[static]`

eComStation 2.0

readonly GuestOS vmware::vcenter::vm::GuestOS::FEDORA = new GuestOS("FEDORA", Values.FEDORA)`[static]`

Fedora Linux.

readonly GuestOS vmware::vcenter::vm::GuestOS::FEDORA_64 = new GuestOS("FEDORA_64", Values.FEDORA_64)`[static]`

Fedora Linux (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::FREEBSD = new GuestOS("FREEBSD", Values.FREEBSD)`[static]`

FreeBSD.

readonly GuestOS vmware::vcenter::vm::GuestOS::FREEBSD_64 = new GuestOS("FREEBSD_64", Values.FREEBSD_64)`[static]`

FreeBSD x64.

readonly GuestOS vmware::vcenter::vm::GuestOS::GENERIC_LINUX = new GuestOS("GENERIC_LINUX", Values.GENERIC_LINUX)`[static]`

Other Linux.

readonly GuestOS vmware::vcenter::vm::GuestOS::MANDRAKE = new GuestOS("MANDRAKE", Values.MANDRAKE)`[static]`

Mandrake Linux.

readonly GuestOS vmware::vcenter::vm::GuestOS::MANDRIVA = new GuestOS("MANDRIVA", Values.MANDRIVA)`[static]`

Mandriva Linux.

readonly GuestOS vmware::vcenter::vm::GuestOS::MANDRIVA_64 = new GuestOS("MANDRIVA_64", Values.MANDRIVA_64)`[static]`

Mandriva Linux (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::NETWARE_4 = new GuestOS("NETWARE_4", Values.NETWARE_4)`[static]`

Novell NetWare 4.

readonly GuestOS vmware::vcenter::vm::GuestOS::NETWARE_5 = new GuestOS("NETWARE_5", Values.NETWARE_5)`[static]`

Novell NetWare 5.1.

readonly GuestOS vmware::vcenter::vm::GuestOS::NETWARE_6 = new GuestOS("NETWARE_6", Values.NETWARE_6)`[static]`

Novell NetWare 6.x.

readonly GuestOS vmware::vcenter::vm::GuestOS::NLD_9 = new GuestOS("NLD_9", Values.NLD_9)`[static]`

Novell Linux Desktop 9.

readonly GuestOS vmware::vcenter::vm::GuestOS::OES = new GuestOS("OES", Values.OES)`[static]`

Open Enterprise Server.

readonly GuestOS vmware::vcenter::vm::GuestOS::OPENSERVER_5 = new GuestOS("OPENSERVER_5", Values.OPENSERVER_5)`[static]`

SCO OpenServer 5.

readonly GuestOS vmware::vcenter::vm::GuestOS::OPENSERVER_6 = new GuestOS("OPENSERVER_6", Values.OPENSERVER_6)`[static]`

SCO OpenServer 6.

readonly GuestOS vmware::vcenter::vm::GuestOS::OPENSUSE = new GuestOS("OPENSUSE", Values.OPENSUSE)`[static]`

OpenSUSE Linux.

readonly GuestOS vmware::vcenter::vm::GuestOS::OPENSUSE_64 = new GuestOS("OPENSUSE_64", Values.OPENSUSE_64)`[static]`

OpenSUSE Linux (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::ORACLE_LINUX = new GuestOS("ORACLE_LINUX", Values.ORACLE_LINUX)`[static]`

Oracle Linux 4/5.

readonly GuestOS vmware::vcenter::vm::GuestOS::ORACLE_LINUX_6 = new GuestOS("ORACLE_LINUX_6", Values.ORACLE_LINUX_6)`[static]`

Oracle Linux 6.

readonly GuestOS vmware::vcenter::vm::GuestOS::ORACLE_LINUX_64 = new GuestOS("ORACLE_LINUX_64", Values.ORACLE_LINUX_64)`[static]`

Oracle Linux 4/5 (64-bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::ORACLE_LINUX_6_64 = new GuestOS("ORACLE_LINUX_6_64", Values.ORACLE_LINUX_6_64)`[static]`

Oracle Linux 6 (64-bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::ORACLE_LINUX_7 = new GuestOS("ORACLE_LINUX_7", Values.ORACLE_LINUX_7)`[static]`

Oracle Linux 7.

readonly GuestOS vmware::vcenter::vm::GuestOS::ORACLE_LINUX_7_64 = new GuestOS("ORACLE_LINUX_7_64", Values.ORACLE_LINUX_7_64)`[static]`

Oracle Linux 7 (64-bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::OS2 = new GuestOS("OS2", Values.OS2)`[static]`

OS/2.

readonly GuestOS vmware::vcenter::vm::GuestOS::OTHER = new GuestOS("OTHER", Values.OTHER)`[static]`

Other Operating System.

readonly GuestOS vmware::vcenter::vm::GuestOS::OTHER_24X_LINUX = new GuestOS("OTHER_24X_LINUX", Values.OTHER_24X_LINUX)`[static]`

Linux 2.4x Kernel.

readonly GuestOS vmware::vcenter::vm::GuestOS::OTHER_24X_LINUX_64 = new GuestOS("OTHER_24X_LINUX_64", Values.OTHER_24X_LINUX_64)`[static]`

Linux 2.4x Kernel (64 bit) (experimental)

readonly GuestOS vmware::vcenter::vm::GuestOS::OTHER_26X_LINUX = new GuestOS("OTHER_26X_LINUX", Values.OTHER_26X_LINUX)`[static]`

Linux 2.6x Kernel.

readonly GuestOS vmware::vcenter::vm::GuestOS::OTHER_26X_LINUX_64 = new GuestOS("OTHER_26X_LINUX_64", Values.OTHER_26X_LINUX_64)`[static]`

Linux 2.6x Kernel (64 bit) (experimental)

readonly GuestOS vmware::vcenter::vm::GuestOS::OTHER_3X_LINUX = new GuestOS("OTHER_3X_LINUX", Values.OTHER_3X_LINUX)`[static]`

Linux 3.x Kernel.

readonly GuestOS vmware::vcenter::vm::GuestOS::OTHER_3X_LINUX_64 = new GuestOS("OTHER_3X_LINUX_64", Values.OTHER_3X_LINUX_64)`[static]`

Linux 3.x Kernel (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::OTHER_64 = new GuestOS("OTHER_64", Values.OTHER_64)`[static]`

Other Operating System (64 bit) (experimental)

readonly GuestOS vmware::vcenter::vm::GuestOS::OTHER_LINUX = new GuestOS("OTHER_LINUX", Values.OTHER_LINUX)`[static]`

Linux 2.2x Kernel.

readonly GuestOS vmware::vcenter::vm::GuestOS::OTHER_LINUX_64 = new GuestOS("OTHER_LINUX_64", Values.OTHER_LINUX_64)`[static]`

Linux (64 bit) (experimental)

readonly GuestOS vmware::vcenter::vm::GuestOS::REDHAT = new GuestOS("REDHAT", Values.REDHAT)`[static]`

Red Hat Linux 2.1.

readonly GuestOS vmware::vcenter::vm::GuestOS::RHEL_2 = new GuestOS("RHEL_2", Values.RHEL_2)`[static]`

Red Hat Enterprise Linux 2.

readonly GuestOS vmware::vcenter::vm::GuestOS::RHEL_3 = new GuestOS("RHEL_3", Values.RHEL_3)`[static]`

Red Hat Enterprise Linux 3.

readonly GuestOS vmware::vcenter::vm::GuestOS::RHEL_3_64 = new GuestOS("RHEL_3_64", Values.RHEL_3_64)`[static]`

Red Hat Enterprise Linux 3 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::RHEL_4 = new GuestOS("RHEL_4", Values.RHEL_4)`[static]`

Red Hat Enterprise Linux 4.

readonly GuestOS vmware::vcenter::vm::GuestOS::RHEL_4_64 = new GuestOS("RHEL_4_64", Values.RHEL_4_64)`[static]`

Red Hat Enterprise Linux 4 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::RHEL_5 = new GuestOS("RHEL_5", Values.RHEL_5)`[static]`

Red Hat Enterprise Linux 5.

readonly GuestOS vmware::vcenter::vm::GuestOS::RHEL_5_64 = new GuestOS("RHEL_5_64", Values.RHEL_5_64)`[static]`

Red Hat Enterprise Linux 5 (64 bit) (experimental)

readonly GuestOS vmware::vcenter::vm::GuestOS::RHEL_6 = new GuestOS("RHEL_6", Values.RHEL_6)`[static]`

Red Hat Enterprise Linux 6.

readonly GuestOS vmware::vcenter::vm::GuestOS::RHEL_6_64 = new GuestOS("RHEL_6_64", Values.RHEL_6_64)`[static]`

Red Hat Enterprise Linux 6 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::RHEL_7 = new GuestOS("RHEL_7", Values.RHEL_7)`[static]`

Red Hat Enterprise Linux 7.

readonly GuestOS vmware::vcenter::vm::GuestOS::RHEL_7_64 = new GuestOS("RHEL_7_64", Values.RHEL_7_64)`[static]`

Red Hat Enterprise Linux 7 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::SJDS = new GuestOS("SJDS", Values.SJDS)`[static]`

Sun Java Desktop System.

readonly GuestOS vmware::vcenter::vm::GuestOS::SLES = new GuestOS("SLES", Values.SLES)`[static]`

Suse Linux Enterprise Server 9.

readonly GuestOS vmware::vcenter::vm::GuestOS::SLES_10 = new GuestOS("SLES_10", Values.SLES_10)`[static]`

Suse linux Enterprise Server 10.

readonly GuestOS vmware::vcenter::vm::GuestOS::SLES_10_64 = new GuestOS("SLES_10_64", Values.SLES_10_64)`[static]`

Suse Linux Enterprise Server 10 (64 bit) (experimental)

readonly GuestOS vmware::vcenter::vm::GuestOS::SLES_11 = new GuestOS("SLES_11", Values.SLES_11)`[static]`

Suse linux Enterprise Server 11.

readonly GuestOS vmware::vcenter::vm::GuestOS::SLES_11_64 = new GuestOS("SLES_11_64", Values.SLES_11_64)`[static]`

Suse Linux Enterprise Server 11 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::SLES_12 = new GuestOS("SLES_12", Values.SLES_12)`[static]`

Suse linux Enterprise Server 12.

readonly GuestOS vmware::vcenter::vm::GuestOS::SLES_12_64 = new GuestOS("SLES_12_64", Values.SLES_12_64)`[static]`

Suse Linux Enterprise Server 12 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::SLES_64 = new GuestOS("SLES_64", Values.SLES_64)`[static]`

Suse Linux Enterprise Server 9 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::SOLARIS_10 = new GuestOS("SOLARIS_10", Values.SOLARIS_10)`[static]`

Solaris 10 (32 bit) (experimental)

readonly GuestOS vmware::vcenter::vm::GuestOS::SOLARIS_10_64 = new GuestOS("SOLARIS_10_64", Values.SOLARIS_10_64)`[static]`

Solaris 10 (64 bit) (experimental)

readonly GuestOS vmware::vcenter::vm::GuestOS::SOLARIS_11_64 = new GuestOS("SOLARIS_11_64", Values.SOLARIS_11_64)`[static]`

Solaris 11 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::SOLARIS_6 = new GuestOS("SOLARIS_6", Values.SOLARIS_6)`[static]`

Solaris 6.

readonly GuestOS vmware::vcenter::vm::GuestOS::SOLARIS_7 = new GuestOS("SOLARIS_7", Values.SOLARIS_7)`[static]`

Solaris 7.

readonly GuestOS vmware::vcenter::vm::GuestOS::SOLARIS_8 = new GuestOS("SOLARIS_8", Values.SOLARIS_8)`[static]`

Solaris 8.

readonly GuestOS vmware::vcenter::vm::GuestOS::SOLARIS_9 = new GuestOS("SOLARIS_9", Values.SOLARIS_9)`[static]`

Solaris 9.

readonly GuestOS vmware::vcenter::vm::GuestOS::SUSE = new GuestOS("SUSE", Values.SUSE)`[static]`

Suse Linux.

readonly GuestOS vmware::vcenter::vm::GuestOS::SUSE_64 = new GuestOS("SUSE_64", Values.SUSE_64)`[static]`

Suse Linux (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::TURBO_LINUX = new GuestOS("TURBO_LINUX", Values.TURBO_LINUX)`[static]`

Turbolinux.

readonly GuestOS vmware::vcenter::vm::GuestOS::TURBO_LINUX_64 = new GuestOS("TURBO_LINUX_64", Values.TURBO_LINUX_64)`[static]`

Turbolinux (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::UBUNTU = new GuestOS("UBUNTU", Values.UBUNTU)`[static]`

Ubuntu Linux.

readonly GuestOS vmware::vcenter::vm::GuestOS::UBUNTU_64 = new GuestOS("UBUNTU_64", Values.UBUNTU_64)`[static]`

Ubuntu Linux (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::UNIXWARE_7 = new GuestOS("UNIXWARE_7", Values.UNIXWARE_7)`[static]`

SCO UnixWare 7.

readonly GuestOS vmware::vcenter::vm::GuestOS::VMKERNEL = new GuestOS("VMKERNEL", Values.VMKERNEL)`[static]`

VMware ESX 4.

readonly GuestOS vmware::vcenter::vm::GuestOS::VMKERNEL_5 = new GuestOS("VMKERNEL_5", Values.VMKERNEL_5)`[static]`

VMware ESX 5.

readonly GuestOS vmware::vcenter::vm::GuestOS::VMKERNEL_6 = new GuestOS("VMKERNEL_6", Values.VMKERNEL_6)`[static]`

VMware ESX 6.

readonly GuestOS vmware::vcenter::vm::GuestOS::VMKERNEL_65 = new GuestOS("VMKERNEL_65", Values.VMKERNEL_65)`[static]`

VMware ESX 6.5.

readonly GuestOS vmware::vcenter::vm::GuestOS::VMWARE_PHOTON_64 = new GuestOS("VMWARE_PHOTON_64", Values.VMWARE_PHOTON_64)`[static]`

VMware Photon (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_2000_ADV_SERV = new GuestOS("WIN_2000_ADV_SERV", Values.WIN_2000_ADV_SERV)`[static]`

Windows 2000 Advanced Server.

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_2000_PRO = new GuestOS("WIN_2000_PRO", Values.WIN_2000_PRO)`[static]`

Windows 2000 Professional.

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_2000_SERV = new GuestOS("WIN_2000_SERV", Values.WIN_2000_SERV)`[static]`

Windows 2000 Server.

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_31 = new GuestOS("WIN_31", Values.WIN_31)`[static]`

Windows 3.1.

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_95 = new GuestOS("WIN_95", Values.WIN_95)`[static]`

Windows 95.

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_98 = new GuestOS("WIN_98", Values.WIN_98)`[static]`

Windows 98.

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_LONGHORN = new GuestOS("WIN_LONGHORN", Values.WIN_LONGHORN)`[static]`

Windows Longhorn (experimental)

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_LONGHORN_64 = new GuestOS("WIN_LONGHORN_64", Values.WIN_LONGHORN_64)`[static]`

Windows Longhorn (64 bit) (experimental)

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_ME = new GuestOS("WIN_ME", Values.WIN_ME)`[static]`

Windows Millennium Edition.

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_NET_BUSINESS = new GuestOS("WIN_NET_BUSINESS", Values.WIN_NET_BUSINESS)`[static]`

Windows Small Business Server 2003.

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_NET_DATACENTER = new GuestOS("WIN_NET_DATACENTER", Values.WIN_NET_DATACENTER)`[static]`

Windows Server 2003, Datacenter Edition.

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_NET_DATACENTER_64 = new GuestOS("WIN_NET_DATACENTER_64", Values.WIN_NET_DATACENTER_64)`[static]`

Windows Server 2003, Datacenter Edition (64 bit) (experimental)

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_NET_ENTERPRISE = new GuestOS("WIN_NET_ENTERPRISE", Values.WIN_NET_ENTERPRISE)`[static]`

Windows Server 2003, Enterprise Edition.

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_NET_ENTERPRISE_64 = new GuestOS("WIN_NET_ENTERPRISE_64", Values.WIN_NET_ENTERPRISE_64)`[static]`

Windows Server 2003, Enterprise Edition (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_NET_STANDARD = new GuestOS("WIN_NET_STANDARD", Values.WIN_NET_STANDARD)`[static]`

Windows Server 2003, Standard Edition.

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_NET_STANDARD_64 = new GuestOS("WIN_NET_STANDARD_64", Values.WIN_NET_STANDARD_64)`[static]`

Windows Server 2003, Standard Edition (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_NET_WEB = new GuestOS("WIN_NET_WEB", Values.WIN_NET_WEB)`[static]`

Windows Server 2003, Web Edition.

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_NT = new GuestOS("WIN_NT", Values.WIN_NT)`[static]`

Windows NT 4.

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_VISTA = new GuestOS("WIN_VISTA", Values.WIN_VISTA)`[static]`

Windows Vista.

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_VISTA_64 = new GuestOS("WIN_VISTA_64", Values.WIN_VISTA_64)`[static]`

Windows Vista (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_XP_HOME = new GuestOS("WIN_XP_HOME", Values.WIN_XP_HOME)`[static]`

Windows XP Home Edition.

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_XP_PRO = new GuestOS("WIN_XP_PRO", Values.WIN_XP_PRO)`[static]`

Windows XP Professional.

readonly GuestOS vmware::vcenter::vm::GuestOS::WIN_XP_PRO_64 = new GuestOS("WIN_XP_PRO_64", Values.WIN_XP_PRO_64)`[static]`

Windows XP Professional Edition (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::WINDOWS_7 = new GuestOS("WINDOWS_7", Values.WINDOWS_7)`[static]`

Windows 7.

readonly GuestOS vmware::vcenter::vm::GuestOS::WINDOWS_7_64 = new GuestOS("WINDOWS_7_64", Values.WINDOWS_7_64)`[static]`

Windows 7 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::WINDOWS_7_SERVER_64 = new GuestOS("WINDOWS_7_SERVER_64", Values.WINDOWS_7_SERVER_64)`[static]`

Windows Server 2008 R2 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::WINDOWS_8 = new GuestOS("WINDOWS_8", Values.WINDOWS_8)`[static]`

Windows 8.

readonly GuestOS vmware::vcenter::vm::GuestOS::WINDOWS_8_64 = new GuestOS("WINDOWS_8_64", Values.WINDOWS_8_64)`[static]`

Windows 8 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::WINDOWS_8_SERVER_64 = new GuestOS("WINDOWS_8_SERVER_64", Values.WINDOWS_8_SERVER_64)`[static]`

Windows 8 Server (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::WINDOWS_9 = new GuestOS("WINDOWS_9", Values.WINDOWS_9)`[static]`

Windows 10.

readonly GuestOS vmware::vcenter::vm::GuestOS::WINDOWS_9_64 = new GuestOS("WINDOWS_9_64", Values.WINDOWS_9_64)`[static]`

Windows 10 (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::WINDOWS_9_SERVER_64 = new GuestOS("WINDOWS_9_SERVER_64", Values.WINDOWS_9_SERVER_64)`[static]`

Windows 10 Server (64 bit)

readonly GuestOS vmware::vcenter::vm::GuestOS::WINDOWS_HYPERV = new GuestOS("WINDOWS_HYPERV", Values.WINDOWS_HYPERV)`[static]`

Windows Hyper-V.

The documentation for this class was generated from the following file:

- GuestOS.cs